View Issue Details

IDProjectCategoryView StatusLast Update
0031715LazarusLCLpublic2017-05-17 15:38
Reporterbald zhang Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformwindowsOSwindowns 
Product Version1.9 (SVN) 
Summary0031715: high dpi: controls in frame not scaled properly
Descriptioncontrols in a frame, the frame is dynamic create by code.
tested some component, and found:

1) grid: not scaled, cell height and width scaled twice

2) combobox: left and top not calculated

good, bad images and sample program attached.
proj_16.lpr: for 1.6.4
proj_18.lpr: for 1.8
TagsNo tags attached.
Fixed in Revision54812, 54815, 54816, 54817
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0031762 closedOndrej Pokorny Null size window in IDE 
related to 0031765 closedOndrej Pokorny DBGrid control dislays only one row of data 
related to 0031824 closedOndrej Pokorny DBGrid - Default height of rows 

Activities

bald zhang

2017-04-26 04:13

reporter  

controls_on_frame-bad.png (30,068 bytes)   
controls_on_frame-bad.png (30,068 bytes)   

bald zhang

2017-04-26 04:14

reporter  

controls_on_frame-ok.png (29,926 bytes)   
controls_on_frame-ok.png (29,926 bytes)   

bald zhang

2017-04-26 04:14

reporter  

grid_on_frame.zip (258,867 bytes)

Ondrej Pokorny

2017-05-06 00:41

developer   ~0100121

I solved some of the issues. The second grid is still not correctly scaling. Strictly speaking it scales fine but the scrollbar sends an extra WM_SIZE message that resizes the grid back :/

Ondrej Pokorny

2017-05-06 00:51

developer   ~0100122

OK, I fixed the scrollbar problem just by disabling the message.

I hope I didn't break a lot of things.

bald zhang

2017-05-06 03:29

reporter   ~0100124

My projects is ok now.

Shall we keep it opened for few days?

Ondrej Pokorny

2017-05-06 09:43

developer   ~0100126

> Shall we keep it opened for few days?

No please close it. If a regression or another problem appears in the future, you can reopen the issue or post a new issue report.

bald zhang

2017-05-06 18:50

reporter   ~0100135

closed

Issue History

Date Modified Username Field Change
2017-04-26 04:13 bald zhang New Issue
2017-04-26 04:13 bald zhang File Added: controls_on_frame-bad.png
2017-04-26 04:14 bald zhang File Added: controls_on_frame-ok.png
2017-04-26 04:14 bald zhang File Added: grid_on_frame.zip
2017-04-26 15:54 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-04-26 15:54 Ondrej Pokorny Status new => assigned
2017-05-06 00:41 Ondrej Pokorny Fixed in Revision => 54812, 54815, 54816
2017-05-06 00:41 Ondrej Pokorny LazTarget => -
2017-05-06 00:41 Ondrej Pokorny Note Added: 0100121
2017-05-06 00:51 Ondrej Pokorny Fixed in Revision 54812, 54815, 54816 => 54812, 54815, 54816, 54817
2017-05-06 00:51 Ondrej Pokorny Note Added: 0100122
2017-05-06 00:51 Ondrej Pokorny Status assigned => resolved
2017-05-06 00:51 Ondrej Pokorny Resolution open => fixed
2017-05-06 03:29 bald zhang Note Added: 0100124
2017-05-06 09:43 Ondrej Pokorny Note Added: 0100126
2017-05-06 18:50 bald zhang Note Added: 0100135
2017-05-06 18:50 bald zhang Status resolved => closed
2017-05-08 21:46 Michl Relationship added related to 0031762
2017-05-08 21:47 Michl Relationship added related to 0031765
2017-05-17 15:38 Ondrej Pokorny Relationship added related to 0031824